Bug 431035 - [ml_IN] Glyph to be formed for nine consonants + 0D4D + 0D32
[ml_IN] Glyph to be formed for nine consonants + 0D4D + 0D32
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lohit-fonts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Rahul Bhalerao
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 06:29 EST by Ani Peter
Modified: 2016-07-31 21:31 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.1.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 08:53:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Correct glyph for the combinations (95.37 KB, image/png)
2008-01-31 06:30 EST, Ani Peter
no flags Details
Correct glyph for the combinations (conti..) (63.49 KB, image/png)
2008-01-31 06:30 EST, Ani Peter
no flags Details
patch for Lohit-Malayalam.sfd (3.20 KB, patch)
2008-02-28 05:56 EST, Rahul Bhalerao
no flags Details | Diff

  None (edit)
Description Ani Peter 2008-01-31 06:29:14 EST
Description of problem:

A glyph with a below base symbol should appear for the following combinations:
1. 0D15 + 0D4D + 0D32
2. 0D17 + 0D4D + 0D32
3. 0D2A + 0D4D + 0D32
4. 0D2B + 0D4D + 0D32
5. 0D2C + 0D4D + 0D32
6. 0D2E + 0D4D + 0D32
7. 0D36 + 0D4D + 0D32
8. 0D38 + 0D4D + 0D32
9. 0D39 + 0D4D + 0D32


Version-Release number of selected component (if applicable):
lohit-fonts-malayalam-2.1.8-1.fc9

How reproducible:
Always

Steps to Reproduce:
1.In gedit, type any consonants - 0D15 ,0D17, 0D2A, 0D2B, 0D2C, 0D2E, 0D36,
0D38, 0D39
2.type 0D4D
3.type 0D32
  
Actual results:
When above steps are performed, instead of glyph, the combinations form key
sequence.

Expected results:
When steps in 'Steps to Reproduce' are performed, the glyph as shown in ths
attached screenshots must be formed. 

Additional info:

The glyph formed with the mentioned consonants are same as the glyph formed
using these consonants with 0D4D and 0D33.
Comment 2 Ani Peter 2008-01-31 06:30:42 EST
Created attachment 293568 [details]
Correct glyph for the combinations (conti..)
Comment 3 Rahul Bhalerao 2008-02-28 05:56:18 EST
Created attachment 296183 [details]
patch for Lohit-Malayalam.sfd

Changed the Ligature rules for these nine combinations.
Comment 4 Rahul Bhalerao 2008-02-28 08:53:42 EST
Fixed in lohit-malayalam-2.1.9
Comment 5 Ani Peter 2008-03-03 01:16:08 EST
Rahul,

Tested with:
lohit-malayalam-2.1.9
pango-1.19.3-3.fc9.i386

0D2B + 0D4D + 0D32 is not forming the below based glyph. Rest all eight
combinations with 0D32 id working fine

Thanks
Ani


Note You need to log in before you can comment on or make changes to this bug.